<template>
  <q-dialog
    ref="dialogRef"
    :persistent="!detail"
    @hide="onDialogHide"
  >
    <q-card class="q-dialog-plugin journey-dialog">
      <q-card-section class="q-pt-xs row justify-between q-pt-md">
        <span class="text-h5">Jízda</span>
        <q-icon
          name="timeline"
          class="text-secondary"
          size="md"
        />
      </q-card-section>

      <q-separator />

      <journey-add
        :id="id"
        :detail="detail"
        :show-btns="!detail"
        @onOKClick="onDialogOK"
        @onCancelClick="onDialogCancel"
      />
    </q-card>
  </q-dialog>
</template>
<script lang="ts">
import { useDialogPluginComponent } from 'quasar'

import JourneyAdd from '@/components/Timetable/JourneyAdd.vue'

export default {
  name: 'JourneyAddDialog',
  components: {
    JourneyAdd
  },
  props: {
    id: {
      type: Number,
      required: false,
      default: 0
    },
    detail: {
      type: Boolean,
      reguired: false,
      default: false
    }
  },
  emits: [
    ...useDialogPluginComponent.emits
  ],
  setup (): any {
    const { dialogRef, onDialogHide, onDialogOK, onDialogCancel } = useDialogPluginComponent()

    return {
      dialogRef,
      onDialogHide,
      onDialogCancel,
      onDialogOK
    }
  }
}

</script>
